aboutsummaryrefslogtreecommitdiff
path: root/ebuild/src_install.bash
diff options
context:
space:
mode:
Diffstat (limited to 'ebuild/src_install.bash')
-rw-r--r--ebuild/src_install.bash4
1 files changed, 3 insertions, 1 deletions
diff --git a/ebuild/src_install.bash b/ebuild/src_install.bash
index 1fb9b0c..02ff2fb 100644
--- a/ebuild/src_install.bash
+++ b/ebuild/src_install.bash
@@ -28,7 +28,9 @@ src_install()
ebuild_f_install()
{
- cd ${S} || die "cd to \${S} (\"${S}\") failed"
+ if [[ -d "${S}" ]]; then
+ cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ fi
if hasq "install" ${RESTRICT} ; then
ebuild_section "Skipping src_install (RESTRICT)"